Skip to main content
Returns transaction information for a given transaction hash.

Parameters

transactionHash
string
required
The 32-byte transaction hash.

Returns

result
object | null
A transaction object, or null if no transaction was found.

Flashblocks Behavior

On a Flashblocks-aware endpoint, use "pending" as the block parameter to query preconfirmed state — data available up to 200ms before the next full block is sealed. Returns a preconfirmed transaction before it is included in a finalized block. Available once the transaction is included in a Flashblock.
curl https://mainnet-preconf.base.org \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","method":"eth_getTransactionByHash","params":["0xb903239f8543d04b5dc1ba6579132b143087c68db1b2168786408fcbce568238"],"id":1}'

Example

{
  "jsonrpc": "2.0",
  "method": "eth_getTransactionByHash",
  "params": [
    "0xb903239f8543d04b5dc1ba6579132b143087c68db1b2168786408fcbce568238"
  ],
  "id": 1
}